The Payment Reconciliation Invoice object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

invoice_type string
invoice_number string
invoice_date string
amount number
outstanding_amount number
currency string
exchange_rate number
The Payment Reconciliation Invoice object
{
  "id": "payment-reconciliation-invoice_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "invoice_type": "invoice_type_example",
  "invoice_number": "invoice_number_example",
  "invoice_date": "2024-01-15",
  "amount": 0,
  "outstanding_amount": 0,
  "currency": "USD",
  "exchange_rate": 0
}
GET /api/accounts/payment-reconciliation-invoice/{id}

Retrieve a payment reconciliation invoice

Retrieves the details of an existing payment reconciliation invoice. Supply the unique payment reconciliation invoice ID that was returned from a previous request.

Path parameters

id string required

The identifier of the payment reconciliation invoice to retrieve.

Returns

Returns the payment reconciliation invoice object if a valid identifier was provided.

GET /api/accounts/payment-reconciliation-invoice/{id}
curl https://api.overplane.dev/api/accounts/payment-reconciliation-invoice/payment-reconciliation-invoice_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "payment-reconciliation-invoice_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "invoice_type": "invoice_type_example",
  "invoice_number": "invoice_number_example",
  "invoice_date": "2024-01-15",
  "amount": 0,
  "outstanding_amount": 0,
  "currency": "USD",
  "exchange_rate": 0
}
GET /api/accounts/payment-reconciliation-invoice

List all payment reconciliation invoices

Returns a list of payment reconciliation invoices. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of payment reconciliation invoice objects.

GET /api/accounts/payment-reconciliation-invoice
curl https://api.overplane.dev/api/accounts/payment-reconciliation-invoice \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "payment-reconciliation-invoice_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "invoice_type": "invoice_type_example",
      "invoice_number": "invoice_number_example",
      "invoice_date": "2024-01-15",
      "amount": 0,
      "outstanding_amount": 0,
      "currency": "USD",
      "exchange_rate": 0
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/payment-reconciliation-invoice

Create a payment reconciliation invoice

Creates a new payment reconciliation invoice object.

Body parameters

invoice_type string
invoice_number string
invoice_date string
amount number
outstanding_amount number
currency string
exchange_rate number

Returns

Returns the newly created payment reconciliation invoice object if the call succeeded.

POST /api/accounts/payment-reconciliation-invoice
curl https://api.overplane.dev/api/accounts/payment-reconciliation-invoice \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "payment-reconciliation-invoice_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "invoice_type": "invoice_type_example",
  "invoice_number": "invoice_number_example",
  "invoice_date": "2024-01-15",
  "amount": 0,
  "outstanding_amount": 0,
  "currency": "USD",
  "exchange_rate": 0
}
PATCH /api/accounts/payment-reconciliation-invoice/{id}

Update a payment reconciliation invoice

Updates the specified payment reconciliation invoice by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the payment reconciliation invoice to update.

Body parameters

invoice_type string
invoice_number string
invoice_date string
amount number
outstanding_amount number
currency string
exchange_rate number

Returns

Returns the updated payment reconciliation invoice object.

PATCH /api/accounts/payment-reconciliation-invoice/{id}
curl https://api.overplane.dev/api/accounts/payment-reconciliation-invoice/payment-reconciliation-invoice_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"invoice_type":"invoice_type_example","invoice_number":"invoice_number_example"}'
Response
{
  "id": "payment-reconciliation-invoice_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "invoice_type": "invoice_type_example",
  "invoice_number": "invoice_number_example",
  "invoice_date": "2024-01-15",
  "amount": 0,
  "outstanding_amount": 0,
  "currency": "USD",
  "exchange_rate": 0
}
DELETE /api/accounts/payment-reconciliation-invoice/{id}

Delete a payment reconciliation invoice

Permanently deletes a payment reconciliation invoice. This cannot be undone.

Path parameters

id string required

The identifier of the payment reconciliation invoice to delete.

Returns

Returns a confirmation that the payment reconciliation invoice has been deleted.

DELETE /api/accounts/payment-reconciliation-invoice/{id}
curl https://api.overplane.dev/api/accounts/payment-reconciliation-invoice/payment-reconciliation-invoice_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "payment-reconciliation-invoice_abc123",
  "deleted": true
}